<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        let snap = 'snap'
        let Crackle = 'Crackle'
        let Prime = 'Prime'
        function snapCrackle(maxValue){
            let num =[];
            for(let i = 1;i<=maxValue;i++){
                if(i % 2 === 1 || i % 5 ===0){
                    num[i-1] = snap
                    if(i % 5 === 0){
                        if(i%2===0){
                            num[i-1] = Crackle
                        }else{
                        num[i-1] += Crackle
                        }
                    }
                 }else{
                    num[i-1]=i.toString()
                 }
                    
            }
            
        return num.join(', ')
        }
 //console.log(snapCrackle(8))

        function snapCracklePrime(maxValue){
            let num =[];
            for(let i = 1;i<=maxValue;i++){
                if(i % 2 === 1 || i % 5 ===0){
                    num[i-1] = snap
                    if(i % 5 === 0){
                        if(i%2===0){
                            num[i-1] = Crackle
                        }else{
                        num[i-1] += Crackle
                        }
                    }
                    if(primo(i)){
                        num[i-1] += Prime
                    }
                 }else if(i%2 ===0 && primo(i)){
                    num[i-1]= Prime
                 }else{
                     num[i-1] = i.toString()
                 }
                    
            }
            
        return num.join(', ')
        }
        function primo(numero){
            for(let i = 2; i <numero; i++){
                if(numero % i == 0){
                    return false
                }
            }
            return numero > 1
        }
    </script>
</body>
</html>